# PetscStrrchr

Locates one location past the last occurance of a character in a string, if the character is not found then returns entire string

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscStrrchr(const char a[],char b,char *tmp[])

Not Collective

### Input Parameters

| a | - pointer to string
| b | - character

### Output Parameter

tmp -location of occurance, a if not found

Level:intermediate
Location: src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html